## LassoSoapBindingCorrelation LassoSoapBindingCorrelation — <soapbinding:correlationType> |

## Functions

LassoSoapBindingCorrelation * | lasso_soap_binding_correlation_new ()

## Types and Values

struct | LassoSoapBindingCorrelation

## Description

Figure 134. Schema fragment for soapbinding:correlationType

    <xs:complexType name="correlationType">
      <xs:attribute name="messageID" type="IDType" use="required"/>
      <xs:attribute name="refToMessageID" type="IDType" use="optional"/>
      <xs:attribute name="timestamp" type="xs: dateTime" use="required"/>
      <xs:attribute name="id" type="xs:ID" use="optional"/>
      <xs:attribute ref="S:mustUnderstand" use="optional"/>
      <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>

## Functions

### lasso_soap_binding_correlation_new ()

    LassoSoapBindingCorrelation *
    lasso_soap_binding_correlation_new (const gchar *messageId,
                                        const gchar *timestamp);

## Types and Values

### struct LassoSoapBindingCorrelation

    struct LassoSoapBindingCorrelation {
    	LassoNode parent;

    	gchar *messageID;
    	gchar *refToMessageID;
    	gchar *timestamp;
    	gchar *id;
    	gchar *mustUnderstand;
    	gchar *actor;
    };